package com.seeyon.apps.src_ydctdatasync.datamap;

import com.seeyon.apps.src_ydctdatasync.dao.MyJdbcAgent;

public abstract class AbstractContractDataMapMode extends AbstractDataMapMode{

    protected MyJdbcAgent agent;
    protected String zcRootPcode;
    protected String ksTableName;

    public String getZcRootPcode() {
        return zcRootPcode;
    }

    public void setZcRootPcode(String zcRootPcode) {
        this.zcRootPcode = zcRootPcode;
    }

    @Override
    public void commonAttrTransfer(Object target, Object source) {

    }

    public String getKsTableName() {
        return ksTableName;
    }

    public void setKsTableName(String ksTableName) {
        this.ksTableName = ksTableName;
    }

    public MyJdbcAgent getAgent() {
        return agent;
    }

    public void setAgent(MyJdbcAgent agent) {
        this.agent = agent;
    }
}
